gnome-do-plugins (0.8.5-2ubuntu0.1) trusty; urgency=medium

  * Update Homepage: to not point at spam URL. (LP: #1442873)

 -- Joshua Bayfield <jbayfieldhjkl@gmail.com>  Tue, 29 Mar 2016 15:42:13 +0000

gnome-do-plugins (0.8.5-2) unstable; urgency=low

  * [9ce0e96] Use DBus# 2.0 API.

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Jan 2014 10:18:50 +0000

gnome-do-plugins (0.8.5-1) unstable; urgency=low

  * Fix watch file
  * Imported Upstream version 0.8.5
    + New upstream fixes FTBFS with Mono 3.0 (Closes: #713077)
  * Drop DLLMap config files for WindowManager and XRandR plugins, now shipped upstream.
  * Drop dh_auto_clean override; upstream no longer ships generated files
  * Drop 02_select_correct_banshee_dbus_implementation.patch; fixed upstream.
  * Add libnewtonsoft-json-cil-dev to Bulid-Depends for new Transmission plugin

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 15 Oct 2013 21:43:20 +1100

gnome-do-plugins (0.8.4-5) unstable; urgency=low

  * Team upload
  * Rebuild for gdata-sharp 2.1.0.0
  * [d49ef4b] Bump Standards-Version to 3.9.3

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Jun 2012 02:25:53 +0800

gnome-do-plugins (0.8.4-4) unstable; urgency=low

  * Team upload
  * Rebuild for CLR 4.0 transition
  * [538c431] Move to 3.0 (quilt) format
  * [fdfdbe0] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 14:52:14 +0800

gnome-do-plugins (0.8.4-3) unstable; urgency=low

  * No-change rebuild for new gdata-sharp ABI (Closes: #652842) 

 -- Iain Lane <laney@debian.org>  Sat, 24 Dec 2011 11:23:12 +0000

gnome-do-plugins (0.8.4-2) unstable; urgency=low

  * [fad2401] Add 02_select_correct_banshee_dbus_implementation.patch.
    Fixes the detection of when to use dbus-sharp instead of ndesk.dbus, which
    was causing do-plugins to FTBFS in sid. (Closes: #634433)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 29 Aug 2011 10:12:46 +0100

gnome-do-plugins (0.8.4-1) unstable; urgency=low

  [ Iain Lane ]
  * Update to use my d.o email address

  [ Christopher James Halse Rogers ]
  * Imported Upstream version 0.8.4
  * Drop 02_gdata_1.7_compatibility.diff; fixed upstream
  * Bump gnome-do depends versioning to 0.8.5 for new plugin APIs
  * Add --enable-release configure flag; upstream's build system is fixed now.
  * Use ‘--with cli’ in rules to avoid warning spam
  * Remove mention of long-dead Evolution plugin from package description.
    (LP: 682228)
  * Add dllmap files for WindowManager and XRandR plugins

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 16 Jun 2011 22:06:56 +1000

gnome-do-plugins (0.8.3-1) unstable; urgency=low

  * It came from the deep! New upstream release
  * debian/rules:
    - Now 100% dfsg-free; drop get-orig-source logic
    - Drop autoreconf-ing; we no longer need to patch the build system.
    - Add “--with” quilt to actually apply the patches.
    - Delete *.addin.xml files on clean; these are autogenerated files which
      shouldn't be in the tarball, and they clutter the debian diff.
    - Upstream buildsystem no longer fails without unused mautil.  Drop it from
      configure.
  * debian/patches/00_debian_default_plugins.patch:
    - Refresh for new upstream version.
  * debian/patches/02_fix_firefox_icon.patch:
    - Drop; fixed in more generality upstream.
  * debian/control:
    - Bump runtime and build-depends on gnome-do to 0.8.4.
    - Add libdbus1.0-cil-dev and libdbus-glib1.0-cil-dev to Build-Depends for
      Empathy plugin.
    - Bump Standards-Version; no changes required.
    - Transition VCS-* fields to git
  * debian/patches/02_gdata_1.7_compatibility.diff:
    - Drop address field from the GMail contacts plugin; this API changed in
      gdata .NET 1.7, and needs fixing upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 21 Feb 2011 22:31:09 +1100

gnome-do-plugins (0.8.2.1+dfsg-2) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/control:
    + Drop slocate from gnome-do-plugins Recommends: this package is only
      in oldstable (Closes: #565656).
    + Update build-depends for -cil-dev transition.
  * debian/rules:
    + Pass fake MAUTIL=/bin/true to configure.  mautil has moved to the
      mono-addins-utils package, so now isn't pulled in by 
      libmono-addins-cil-dev.  The build system doesn't actually *use* mautil,
      and hasn't for a couple of releases.  Upstream's buildsystem maintainer
      should perhaps pay more attention ;).
  * debian/patches/02_fix_firefox_icon.patch
    + Use the unversioned "firefox" icon name.  Both Iceweasel in Sid and 
      Firefox 3.6 in Lucid ship this icon. (Closes: #544075) (LP: #444171)

  [ Jo Shields ]
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Update mono-devel build-dep to 2.4.3
    + Remove superfluous build-deps on individual mono libs

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 30 Jan 2010 17:18:47 +1100

gnome-do-plugins (0.8.2.1+dfsg-1) unstable; urgency=low

  [ Iain Lane ]
  * New upstream release 0.8.2.1
   - Correctly find Banshee indexer
   - Fix firefox leak on Mono < 2.4 (LP: #381064)
   - Close SSH hosts file after reading
   - Session plugin now works on devicekit-disks (LP: #410079)
  * 02_fix_banshee_plugin.dpatch: Drop, no longer required. Errors will be
    shown on console if Banshee is not installed but these are non-fatal.
  * rules, control: Use mono-csc 
  * debian/rules, debian/*.install: Update dh7isation to be more standard.
    install files no longer required as dh_auto_* takes care of this perfectly
  * debian/rules, debian/control: Use quilt as patchsys - refresh patches to
    take this into account
  * debian/control: Drop gnome-do-plugin-evolution as this cannot be built due
    to our evolution-sharp being uninstallable and unfixable. Sorry. It will
    be back as soon as possible.
  * debian/control: Depend on libflickrnet -dev package as part of the new
    world order

  [ Jo Shields ]
  * debian/rules:
   - Make get-orig-source rule deterministic

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 Nov 2009 17:01:01 +0000

gnome-do-plugins (0.8.2+dfsg-2) unstable; urgency=low

  * debian/control: Update libflickrnet build dependency for 2.2.0 transition
    (Closes: #543804)
  * debian/control: Bump standards-version, no changes
  * debian/control: Increase debhelper minimum version (thanks Lintian)

 -- Iain Lane <laney@ubuntu.com>  Tue, 08 Sep 2009 15:01:20 +0100

gnome-do-plugins (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + Pidgin plugin now supports initial text for messages (LP: #338608)
    + Pidgin plugin opens conversations on the correct IM network (LP: #370965)
  * debian/rules:
    + Update get-orig-source target.  Upstream no longer ships gdata* binaries,
      so we no longer need to strip them
  * debian/patches/00_use_system_gdata
    + Drop.  Upstream now builds against system libgdata.
  * debian/patches/04_fix_pidgin_dbus_ints
  * debian/patches/10_fix_rhythmbox_file
  * debian/patches/15_twitter_api
  * debian/patches/20_twitter_overflow:
    + Drop.  Included upstream.
  * debian/patches/01_firefox_iceweasel_rename:
    + Refresh for new version
  * debian/patches/02_fix_banshee_plugin:
    + Drop refernce to /usr/lib/banshee-1/Banshee.CollectionIndexer.dll.
      This is unnecessary, and causes errors when Banshee isn't installed.
  * debian/patches/00_debian_default_plugins:
    + Enable a bunch of useful plugins that do not require configuration from 
      the "Official" plugin set by default.  Makes Do more useful out of the 
      box.
  * debian/control:
    + Bump versioned build-dep on gnome-do to 0.8.2
    + Split out gnome-do-plugin-evolution package, now that this is possible.
      libevolution5.0-cil has an annoyingly large dependency stack.
      (LP: #351535) (Closes: #524993).

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 27 Jun 2009 16:11:49 +1000

gnome-do-plugins (0.8.1.3+dfsg-2) unstable; urgency=low

  * debian/patches/00_use_system_gdata.dpatch: Patch build system to use
    system copy of gdata libs, allowing Google plugins to be enabled.
  * debian/patches/00_dfsg_autofoo.dpatch: Drop, now obsolete.
  * debian/control: Add libgdata1.4-cil build-dep for above.
  * debian/patches/10_fix_rhythmbox_file.dpatch: Add. Look in the correct place
    for the rhythmbox database (Closes: #526337).

 -- Iain Lane <laney@ubuntu.com>  Thu, 07 May 2009 21:14:41 +0100

gnome-do-plugins (0.8.1.3+dfsg-1) unstable; urgency=low

  [ Daniel T Chen ]
  * New upstream release (LP: #344578)
    + Banshee plugin goes crazy if banshee isn't loaded first
      (LP: #289802)
    + gnome-do gCalculate plugin fails to display "times" symbol
      (LP: #274252)
    + Banshee-1 fails to build in Mono 2.0 (LP: #309188)
    + Pidgin 2.5.4 has incompatible dbus interface. s/uint/int/
      (LP: #314927)
    + Pidgin plugin hangs opening a chat if pidgin is unresponsive
      (LP: #315565)
    + twitter plugin still reports friend updates even when
      deactivated (LP: #317674)
    + Misspelling in microblogging plugin confirmation message
      (LP: #319433)
    + make install uses mdtool, but configure doesn't check for it
      (LP: #322951)
    + Virtualbox Icon in 2.10 are broken because of a new
      specification (LP: #323902)
    + Google Maps Plugin shouldn't always use route (LP: #324271)
    + Fix for Google Maps when using newlines and other special
      characters (LP: #324667)
    + VirtualBox failed to load icon (LP: #325712)
    + 'Read Man Pages' plugin makes Gnome-Do unresponsive
      (LP: #325935)
    + Search returns broken URLs (LP: #327855)
    + Default action for SSH hosts is "open" (LP: #328236)
    + Files and Folders Configuration doesn't use standard buttons
      (LP: #328236)
    + Window manager maximize action should focus if window is not
      currently focused (LP: #258893)
    + Locate plugin has no error message (LP: #262360)
    + Wishlist: Let user specify files and folders to ignore
      (LP: #263177)
    + ts-client plugin doesn't index subdirectories (LP: #322352)
    + Max 3000 items in Files and Folders plugin (LP: #324105)
    + putty cannot find host when running from gnome do
      (LP: #324282)
    + locate plugin with globbing (LP: #334798)
    + Twitter plugin encountered an error in UpdateFriends
      (LP: #317575)
    + gnome-terminal profiles no longer work (LP: #321977)
    + Creating a task using Remember the Milk plugin can fail if
      no task list is specified (LP: #324066)
    + bundled libraries makefile needs destdir (LP: #324704)
    + Typographical error in del.icio.us plugin (LP: #330525)
    + ImageShack fails to upload (LP: #337324)
  * debian/copyright
    + Refresh for new upstream version; new plugins added.
  * debian/patches/00_dfsg_autofoo.dpatch
    + Update for new upstream version
    + Don't build the YouTube plugin due to removal of shipped
      exes and dlls causing FTBFS
  * debian/patches/02_ssh_respect_exec_arg.dpatch
    debian/patches/03_buildsystem_respect_mcs.dpatch
    + Drop; fixed upstream

  [ Iain Lane ]
  * debian/patches/04_fix_pidgin_dbus_ints.dpatch: Add left out piece of patch
    (Closes: #517175)
  * debian/control: Bump gnome-do build-dep to require current version. 
  * debian/patches/10_rhtyhmbox_file.patch: Backport upstream patch to fix RB
    plugin 
  * debian/rules: Update repacking to account for upstream BundledLibs change
  * debian/control: Add myself to Uploaders 
  * debian/control: GNOME# transition (again)
  * debian/patches/15_twitter_api.dpatch: Backport upstream patch to fix
    compatibility with new Twitter API - changed to require GET or POST
    specifically for some actions instead of accepting either. (LP: #359141)

 -- Iain Lane <laney@ubuntu.com>  Sat, 18 Apr 2009 14:13:30 +0100

gnome-do-plugins (0.8.0.2+dfsg1-1) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream version
  * debian/control:
    + gnome-sharp2 transition (LP: #314516)
    + Add banshee build-dep
    + Drop monodevelop build-dep; upstream uses mautil rather than mdtool now
    + Bump required gnome-do version in Build-Dep & Depends.
    + Suggest Banshee
  * debian/copyright:
    + Refresh for new upstream version; new plugins added.
  * debian/rules:
    + Rework clean target to simply delete files generated by autoreconf,
      rather than trying to preserve them.
    + Remove XDG_CONFIG_DIR hack needed for mdtool
    + Make dfsg-stripping more precise.  We now need the BundledLibraries dir
      to build properly
  * debian/patches/00_dfsg_autofoo
    + Update.  Don't remove BundledLibraries entirely, just all the binaries.
      It still needs to copy the system's BansheeCollectionIndexer.dll.
  * debian/patches/01_firefox_iceweasel_rename:
    + Refresh for new upsteam changes.
    + Extend to also make the Firefox bookmark plugin index iceweasel bookmarks
  * debian/patches/03_buildsystem_respect_mcs:
    + Dropped.  Fixed upstream.

  [ Iain Lane ]
  * debian/control: Add ${misc:Depends} build-dep 
  * debian/rules: Do not fail if configure is missing (e.g. clean twice in a
    row)  
  * debian/patches/01_firefox_iceweasel_rename: The profiles file is called
    profiles.ini and not profile.ini. Update accordingly.
  * debian/rules: Update repacking to work with +dfsgXX in case of errors with
    repacking

  [ Mirco Bauer ]
  * Upload to unstable.
  * debian/control:
    + Lowered GNOME# build-deps to 2.0 ABI as that transition didn't happen
      yet in unstable.
    + Bumped build-dep of Evolution# to 5.0 ABI.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 06 Mar 2009 00:16:43 +0100

gnome-do-plugins (0.6.0.1+dfsg-1) experimental; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream version
  * debian/control
    + Refresh build-depends
    + Don't Suggest amarok, the plugin is no longer built
    + Bump standards-version, adding a README.Source
    + Add conflicts for old Ubuntu packages.  Makes my Ubuntu job easier,
      and apparently some Debian users care too (closes: #486609)
    + Mono 2.0 transition:
      - B-D-I on mono-devel (>= 2.0) rather than mono-gmcs
  * debian/rules
    + Remove --disable-banshee and --disable-amarok from the configure flags.
      These plugins are no longer built upstream.
    + Expand get-orig-source to strip the binary DLLs from the source tarball
    + Run autoreconf after patching to not build plugins dependent on the
      shipped binary libs.
    + Make a copy the original Makefile.in & configure before patching and 
      copy back on clean.
    + Export a temporary XDG_CONFIG_HOME.  The build uses mdtool, which wants 
      to write to $XDG_CONFIG_HOME.
    + Mono 2.0 transition:
      - Call dh build with MCS=/usr/bin/csc
  * debian/patches/00_dfsg_autofoo
    + Remove the plugins that depend on the shipped binaries from the build
  * debian/patches/01_firefox_iceweasel_rename
    + Refresh for new version
  * debian/patches/02_ssh_respect_exec_arg
    + Respect the terminal's "exec" arg set in gconf.  Patch by
      Philipp A. Hartmann.  The rest of the patch is superseded by the new
      upstream version.  (closes: #49777)
  * debian/patches/03_buildsystem_respect_mcs
    + Remove hardcoded gmcs compiler from *.am; replace with $(MCS)
  * debian/watch
    + Update for new upstream location, add version mangle for dfsg
  * debian/copyright
    + Refresh for new upstream version
    + Update to latest CopyrightFormat proposal

  [ David Paleino ]
  * Fixing get-orig-source target (and download-tarball) to be more
    reliable, and make them work with svn-buildpackage out-of-the-box.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 29 Nov 2008 18:06:37 +1100

gnome-do-plugins (0.4.0-1) unstable; urgency=low

  * Initial Debian package (closes: #480673)
  
 -- Colin Turner <ct@piglets.com>  Sun, 11 May 2008 15:08:58 +1000
